#---------------------------------------------------------------------------
# Makefile for SICS
# with libraries installed under /usr/local
#
# Mark Koennecke 1996-2001
# Markus Zolliker, March 2003
# Mark Koennecke, December 2009
# Mark Koennecke, February 2014
#==========================================================================

#include $(SICSROOT)/sics/linux_def
include $(SICSROOT)/sics/sllinux_def


CC       = gcc
CFLAGS = -I$(HDFROOT)/include -I$(HDFROOT)/include/os/Linux -DHDF4  -DHDF5 $(NI) -I$(TCLINC) -Ihardsup \
       -I$(SICSROOT)/sics -I..  -I.  -MMD -DCYGNUS -DNONINTF $(DBG)  \
       -I$(HDFROOT)/include/libbson-1.0  -I$(HDFROOT)/include/libmongoc-1.0 \
       $(DFORTIFY)  -Wall -Wno-unused -Wunused-value -Wno-comment \
       -Wno-switch -Werror

EXTRA=nintf.o

include make_gen

-include $(OBJ:.o=.d)
